<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:focusable="true"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:baselineAligned="false"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/sift_menu_page"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@color/background_color"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <RadioGroup
                android:id="@+id/sift_menu"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="vertical">

                <RadioButton
                    android:id="@+id/business_sift"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:background="@drawable/style_radio_button"
                    android:button="@null"
                    android:checked="true"
                    android:gravity="center"
                    android:text="@string/business_sift" />

                <RadioButton
                    android:id="@+id/customer_level"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_marginTop="@dimen/common_padding"
                    android:background="@drawable/style_radio_button"
                    android:button="@null"
                    android:gravity="center"
                    android:text="@string/customer_level" />

                <RadioButton
                    android:id="@+id/customer_classification"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_marginTop="@dimen/common_padding"
                    android:background="@drawable/style_radio_button"
                    android:button="@null"
                    android:gravity="center"
                    android:text="@string/customer_classification" />

                <RadioButton
                    android:id="@+id/director"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_marginTop="@dimen/common_padding"
                    android:background="@drawable/style_radio_button"
                    android:button="@null"
                    android:gravity="center"
                    android:text="@string/director" />

                <RadioButton
                    android:id="@+id/province"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_marginTop="@dimen/common_padding"
                    android:background="@drawable/style_radio_button"
                    android:button="@null"
                    android:gravity="center"
                    android:text="@string/province" />
            </RadioGroup>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/business_sift_page"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:background="@color/white"
            android:orientation="vertical"
            android:visibility="visible">

            <CheckedTextView
                android:id="@+id/business_sift_all"
                android:layout_width="70dp"
                android:layout_height="30dp"
                android:layout_margin="@dimen/common_padding"
                android:background="@drawable/style_selector_sift"
                android:button="@null"
                android:gravity="center"
                android:text="@string/all"
                android:textAlignment="center"
                android:textColor="@color/check_text_view_select"
                android:textSize="@dimen/text_size_small" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_marginEnd="@dimen/common_padding" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/business_sift_recycle"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/common_padding" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/customer_level_page"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:background="@color/white"
            android:orientation="vertical"
            android:visibility="gone">

            <CheckedTextView
                android:id="@+id/customer_level_all"
                android:layout_width="70dp"
                android:layout_height="30dp"
                android:layout_margin="@dimen/common_padding"
                android:background="@drawable/style_selector_sift"
                android:button="@null"
                android:gravity="center"
                android:text="@string/all"
                android:textAlignment="center"
                android:textColor="@color/check_text_view_select"
                android:textSize="@dimen/text_size_small" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_marginEnd="@dimen/common_padding"
                android:background="@color/line_color" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/customer_level_recycle"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/common_padding" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/customer_classification_page"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:background="@color/white"
            android:orientation="vertical"
            android:visibility="gone">

            <CheckedTextView
                android:id="@+id/customer_classification_all"
                android:layout_width="70dp"
                android:layout_height="30dp"
                android:layout_margin="@dimen/common_padding"
                android:background="@drawable/style_selector_sift"
                android:button="@null"
                android:gravity="center"
                android:text="@string/all"
                android:textAlignment="center"
                android:textColor="@color/check_text_view_select"
                android:textSize="@dimen/text_size_small" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_marginEnd="@dimen/common_padding"
                android:background="@color/line_color" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/customer_classification_recycle"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/common_padding" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/director_page"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:background="@color/white"
            android:orientation="vertical"
            android:visibility="gone">

            <CheckedTextView
                android:id="@+id/director_all"
                android:layout_width="70dp"
                android:layout_height="30dp"
                android:layout_margin="@dimen/common_padding"
                android:background="@drawable/style_selector_sift"
                android:button="@null"
                android:gravity="center"
                android:text="@string/all"
                android:textAlignment="center"
                android:textColor="@color/check_text_view_select"
                android:textSize="@dimen/text_size_small" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_marginEnd="@dimen/common_padding"
                android:background="@color/line_color" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/director_recycle"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/common_padding" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/province_page"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="2"
            android:background="@color/white"
            android:orientation="vertical"
            android:visibility="gone">

            <CheckedTextView
                android:id="@+id/province_all"
                android:layout_width="70dp"
                android:layout_height="30dp"
                android:layout_margin="@dimen/common_padding"
                android:background="@drawable/style_selector_sift"
                android:button="@null"
                android:gravity="center"
                android:text="@string/all"
                android:textAlignment="center"
                android:textColor="@color/check_text_view_select"
                android:textSize="@dimen/text_size_small" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginStart="@dimen/common_padding"
                android:layout_marginEnd="@dimen/common_padding"
                android:background="@color/line_color" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/province_recycle"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="@dimen/common_padding" />
        </LinearLayout>
    </LinearLayout>

    <View
        android:layout_width="match_parent"
        android:layout_height="@dimen/line"
        android:layout_marginBottom="@dimen/common_padding"
        android:background="@color/line_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/reset"
            android:layout_width="0dp"
            android:layout_height="@dimen/button_height"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_reset_button"
            android:gravity="center"
            android:text="@string/reset"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_large"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/commit"
            android:layout_width="0dp"
            android:layout_height="@dimen/button_height"
            android:layout_marginStart="@dimen/common_padding_huge"
            android:layout_marginEnd="@dimen/common_padding_huge"
            android:layout_weight="1"
            android:background="@drawable/shape_corner_solid_blue"
            android:gravity="center"
            android:text="@string/submit"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_large"
            android:textStyle="bold" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/common_padding"
        android:baselineAligned="false"
        android:orientation="horizontal">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/predict_group_total"
                android:textColor="@color/hint_text_color"
                android:textSize="@dimen/text_size_small" />

            <TextView
                android:id="@+id/predict_group"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/hint_text_color"
                android:textSize="@dimen/text_size_small" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/finished_group_total"
                android:textColor="@color/hint_text_color"
                android:textSize="@dimen/text_size_small" />

            <TextView
                android:id="@+id/finished_group"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/hint_text_color"
                android:textSize="@dimen/text_size_small" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>